"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usePermission = void 0;
var _react = require("react");
var _appSecurity = require("@webiny/app-security");
var usePermission = exports.usePermission = function usePermission() {
  var _useSecurity = (0, _appSecurity.useSecurity)(),
    identity = _useSecurity.identity,
    getPermission = _useSecurity.getPermission;
  var hasFullAccess = (0, _react.useMemo)(function () {
    return !!getPermission("recordLocking.*");
  }, [identity]);
  return {
    hasFullAccess: hasFullAccess
  };
};

//# sourceMappingURL=usePermission.js.map